% plot_avd_time_histories_subplots_altp.m  ver 1.2

function[fig_num,hp]=plot_avd_time_histories_subplots_altp(fig_num,tt,a,v,d,ay,vy,dy)

hp=figure(fig_num);
fig_num=fig_num+1;

fs = 11; % <-- font size

subplot(3,1,1);
plot(tt,a);
title('Acceleration','FontSize',fs);
ylabel(ay,'FontSize',fs);
grid on;
set(gca,'FontSize',fs);

ymax=max(abs(a));
[~,yTT,ytt,iflag]=ytick_linear_double_sided(ymax);
if(iflag==1)
    set(gca,'ytick',ytt);
    set(gca,'YTickLabel',yTT);
    ylim([min(ytt),max(ytt)]);
end


subplot(3,1,2);
plot(tt,v);
title('Velocity','FontSize',fs);
ylabel(vy,'FontSize',fs);
grid on;
set(gca,'FontSize',fs);

ymax=max(abs(v));
[~,yTT,ytt,iflag]=ytick_linear_double_sided(ymax);
if(iflag==1)
    set(gca,'ytick',ytt);
    set(gca,'YTickLabel',yTT);
    ylim([min(ytt),max(ytt)]);
end


subplot(3,1,3);
plot(tt,d);
title('Displacement','FontSize',fs);
ylabel(dy,'FontSize',fs);
xlabel('Time (sec)','FontSize',fs);
grid on;
set(gca,'FontSize',fs);

ymax=max(abs(d));
[~,yTT,ytt,iflag]=ytick_linear_double_sided(ymax);
if(iflag==1)
    set(gca,'ytick',ytt);
    set(gca,'YTickLabel',yTT);
    ylim([min(ytt),max(ytt)]);
end

set(hp, 'Position', [0 0 700 650]);
